
## lyx-fonts
%global fontname lyx
%if 1
%define fontpackages 1
BuildRequires: fontpackages-devel
%else
%define _fontdir %{_datadir}/fonts/%{fontname}
%endif

%define _without_included_boost --without-included-boost

Summary: WYSIWYM (What You See Is What You Mean) document processor
Name:	 lyx
Version: 2.0.4
Release: 1%{?dist}

License: GPLv2+
Group: 	 Applications/Publishing
Url: 	 http://www.lyx.org/
Source0: ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/lyx-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: lyxrc.dist
Source10: lyx.desktop

## upstreamable patches
# submitted, but upstream rejected it.  we currently agree to disagree.
Patch50: lyx-2.0.1-xdg_open.patch
# Do we need to rebuild configuration files?
%global autotools 0

%if 0%{?autotools}
BuildRequires: automake libtool
%endif
BuildRequires: enchant-devel
%if 0%{?_without_included_boost:1}
BuildRequires: boost-devel
%endif
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: hunspell-devel
BuildRequires: python
BuildRequires: qt4-devel
BuildRequires: zlib-devel

# optional minimal qt4 dep
%{?_qt_version:Requires: qt4 >= %{_qt4_version}}

Obsoletes: %{name}-qt < 1.5.0
Provides:  %{name}-qt = %{version}-%{release}
Obsoletes: %{name}-xforms < 1.5.0

Requires: %{name}-common = %{version}-%{release}

Requires: %{fontname}-fonts = %{version}-%{release}

%if 0%{?fuduntu} > 8 || 0%{?rhel} > 5
BuildRequires: tex(dvips) tex(latex) texlive-fonts
Requires(post): texlive
Requires(postun): texlive
Requires: dvipdfm
Requires: tex(dvips) tex(latex)
Requires: tex-simplecv
%else
BuildRequires: tetex-dvips tetex-latex tetex-fonts
Requires(post): tetex-fonts
Requires(postun): tetex-fonts
Requires: tetex-dvips tetex-latex
%endif
Requires: ghostscript
## Soft dependencies
%if 0%{?fuduntu} > 3 && 0%{?fuduntu} < 9
# Document->Change Tracking feature
Requires: tetex-dvipost
Requires: tetex-preview
Requires: tetex-IEEEtran
%endif
# convert doc files to lyx (bug #193858)
Requires: wv
Requires: xdg-utils
# required for instant preview
# we use a file require because depending on the texlive version used
# the package can either be texlive-dviutils for texlive 2007 or
# texlive-dtl-bin for texlive >= 2010
Requires: /usr/bin/dv2dt
Requires: ImageMagick

%description
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.

%package common
Summary:  Common files of %{name}
Group:    Applications/Publishing
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
%description common
{summary}.

%package fonts
Summary: Lyx/MathML fonts
Group:   Applications/Publishing
# The actual license says "The author of these fonts, Basil K. Malyshev, has
# kindly granted permission to use and modify these fonts."
# One of the font files (wasy10) is separately licensed GPL+.
License: Copyright only and GPL+
%{?fontpackages:Requires: fontpackages-filesystem}
Obsoletes: mathml-fonts < 1.0-50
Provides:  mathml-fonts = 1.0-50
Obsoletes: lyx-fonts-common < 1.6.5-3
Obsoletes: lyx-fonts-compat < 1.6.5-3
Obsoletes: lyx-cmex10-fonts < 1.6.5-3
Obsoletes: lyx-cmmi10-fonts < 1.6.5-3
Obsoletes: lyx-cmr10-fonts < 1.6.5-3
Obsoletes: lyx-cmsy10-fonts < 1.6.5-3
Obsoletes: lyx-esint10-fonts < 1.6.5-3
Obsoletes: lyx-eufm10-fonts < 1.6.5-3
Obsoletes: lyx-msam10-fonts < 1.6.5-3
Obsoletes: lyx-msbm10-fonts < 1.6.5-3
Obsoletes: lyx-wasy10-fonts < 1.6.5-3
Provides:  lyx-cmex10-fonts = %{version}-%{release}
Provides:  lyx-cmmi10-fonts = %{version}-%{release}
Provides:  lyx-cmr10-fonts = %{version}-%{release}
Provides:  lyx-cmsy10-fonts = %{version}-%{release}
BuildArch: noarch
%description  fonts
A collection of Math symbol fonts for %{name}.


%prep

%setup -q -n %{name}-%{version}

%patch50 -p1 -b .xdg_open

%if 0%{?autotools}
./autogen.sh
%endif


%build

%configure \
  --disable-dependency-tracking \
  --disable-rpath \
  --enable-build-type=release \
  --enable-optimization="%{optflags}" \
  --without-included-boost \
  --with-enchant \
  --with-hunspell

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# misc/extras
install -p -m644 -D %{SOURCE1} %{buildroot}%{_datadir}/lyx/lyxrc.dist

# Set up the lyx-specific class files where TeX can see them
texmf=%{_datadir}/texmf
mkdir -p %{buildroot}${texmf}/tex/latex
mv %{buildroot}%{_datadir}/lyx/tex \
   %{buildroot}${texmf}/tex/latex/lyx

# .desktop
desktop-file-install --vendor="" \
  --dir="%{buildroot}%{_datadir}/applications" \
  %{SOURCE10}

# icon
install -p -D -m644 lib/images/lyx.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/lyx.png

# ghost'd files
touch %{buildroot}%{_datadir}/lyx/lyxrc.defaults
touch %{buildroot}%{_datadir}/lyx/{packages,textclass}.lst

# fonts
install -m 0755 -d %{buildroot}%{_fontdir}
mv %{buildroot}%{_datadir}/lyx/fonts/*.ttf %{buildroot}%{_fontdir}/
rm -rf %{buildroot}%{_datadir}/lyx/fonts

%find_lang %{name}


%check
# tests/test_filetools error bogus ( see http://bugzilla.redhat.com/723938 )
make -k check ||:


%post common
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun common
if [ $1 -eq 0 ] ; then
  texhash >& /dev/null
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans common
texhash >& /dev/null
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

## Catch installed/uninstalled helpers
##   not sure if this is really needed anymore, as it seems to be a per-user thing,
##   and besides, we use xdg-open now -- Rex
#triggerin common -- latex2html,wv
#if [ $2 -gt 1 ]; then
#cd %{_datadir}/lyx && ./configure.py --without-latex-config > /dev/null 2>&1 ||:
#fi
#
#triggerun common -- latex2html,wv
#if [ $2 -eq 0 ]; then
#cd %{_datadir}/lyx && ./configure.py --without-latex-config > /dev/null 2>&1 ||:
#fi


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ANNOUNCE COPYING lib/CREDITS NEWS README
%{_bindir}/*

%files common -f %{name}.lang
%defattr(-,root,root,-)
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/lyx/
%config(noreplace) %{_datadir}/lyx/lyxrc.dist
%ghost %{_datadir}/lyx/lyxrc.defaults
%ghost %{_datadir}/lyx/*.lst
%{_datadir}/texmf/tex/latex/lyx/

%if 0%{?fontpackages:1}
%_font_pkg
%{_fontdir}/*.ttf
%doc lib/fonts/BaKoMaFontLicense.txt
%doc lib/fonts/ReadmeBaKoMa4LyX.txt
%else
%files fonts
%defattr(-,root,root,-)
%dir %{_fontdir}/
%{_fontdir}/*.ttf
%doc lib/fonts/BaKoMaFontLicense.txt
%doc lib/fonts/ReadmeBaKoMa4LyX.txt

%posttrans fonts
fc-cache %{_fontdir} 2> /dev/null ||:
%endif


%changelog
* Mon Nov 26 2012 Andrew Wyatt <andrew@fuduntu.org> - 2.0.4-1
- Built for Fuduntu

* Sat Jun 30 2012 Rex Dieter <rdieter@fedoraproject.org> 2.0.4-1
- lyx-2.0.4
- Omitted backslash in code for floatingfootnote, after export to latex, and re-import (#811719)

* Mon Mar  5 2012 José Matos <jamatos@fedoraproject.org> - 2.0.3-1
- New bugfix release

* Wed Feb 29 2012 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-4
- hack around gcc-4.7 ftbfs for now

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-3
- Rebuilt for c++ ABI breakage

* Sat Jan  7 2012 José Matos <jamatos@fedoraproject.org> - 2.0.2-2
- Require ImageMagick (#753626)

* Thu Dec  1 2011 José Matos <jamatos@fedoraproject.org> - 2.0.2-1
- New stable release.

* Tue Nov 22 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.1-3
- rebuild (boost)

* Mon Sep  5 2011 José Matos <jamatos@fedoraproject.org> - 2.0.1-2
- Update xdg_open patch for version 2.0.1

* Mon Sep  5 2011 José Matos <jamatos@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Thu Jul 21 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.0-5
- rebuild (boost)

* Wed Jun  1 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-4
- LaTeXConfig.lyx is no longer a ghost (#684428)

* Thu May 26 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.0-3
- fix hunspell support (use pkgconfig)

* Thu May 26 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.0-2
- rebuild (hunspell)

* Fri Apr 29 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0 final

* Mon Apr 11 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-0.21.rc3
- Update to rc3

* Thu Apr  7 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-0.20.rc2
- Rebuild for new boost (just applies to F16)

* Tue Mar 29 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-0.19.rc2
- New upstream release (rc2)

* Mon Mar 14 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-0.18.rc1
- Rebuild for boost upgrade

* Sat Mar 12 2011 José Matos <jamatos@fedoraproject.org> - 2.0.0-0.17.rc1
- Add thesaurus and hunspell paths to lyxrc.dist thus fixing
  http://www.lyx.org/trac/ticket/7253
- Simplified the content of lyxrc.dist leaving only the relevant
  options and updating the format to the current one
